Установка плагина ADT для Eclipse

Я пытаюсь установить плагин ADT для Eclipse. Однако после того, как я перешел на «Установить новое программное обеспечение …» и ввел адрес плагина https://dl-ssl.google.com/android/eclipse/ , отображается «Ожидание …». Он не меняется на «Инструменты разработчика» независимо от того, как долго я жду. (Я также пробовал « http://dl-ssl.google.com/android/eclipse/ )

Чтобы обойти это, я попытался загрузить текущий ZIP-файл плагина ADT, но это тоже не сработает. Появится «Инструменты разработчика», но когда я нажимаю «Далее», он не перемещается мимо «Вычисление требований и зависимостей».

Пожалуйста, предоставьте решение проблемы любого подхода. Благодарю.

Solutions Collecting From Web of "Установка плагина ADT для Eclipse"

У меня такая же проблема. Он начал работать, когда я снял флажок «Связаться со всеми сайтами обновления во время установки, чтобы найти нужное программное обеспечение».

  1. Goto Preferences-> Network Connections и установите правильную опцию (native / direct в соответствии с настройками прокси-сервера в вашей сети), перезапустите eclipse и повторите попытку. [Переход на прямой работал для меня дома, однако в офисе мне приходилось настраивать его на родной ..] ( Настройки прокси требуют перезапуска Eclipse IDE на некоторых машинах, чтобы они вступили в силу )
  2. Убедитесь, что в вашем eclipse установлены все зависимости андроидных инструментов (wst / emf …) (http://developer.android.com/resources/faq/troubleshooting.html#installeclipsecomponents)

Какие версии eclipse вы используете?

В Helios мне удалось установить плагин, перейдя в Help -> Eclipse MarketPlace -> Yoxos MarketPlace (второй значок внизу) и найдите ADT и установите.

Обновить

Зарегистрированная ошибка, которую вы указали, приводит к установке из зависания обновлений в Java 7 и, в свою очередь, Eclipse Bug 362741 – загрузка с сайтов обновлений зависает – (3.7.1 окна Indigo SR1) , см. Комментарий 6 (вы уже применили комментарий 7 ).

Обратите внимание, что, хотя это кажется проблемой JDK 7 с первого взгляда, связанный Java- ошибка 7077696 – java.net.Socket закрывается, когда «PASV» отправляется на аутентифицированное FTP-соединение, классифицирует проблему как REGRESSION. Последняя работала в версии 6u26 , в то время как вы уже используете 6u30 . Соответственно, проблема, как сообщается, исправлена ​​путем перехода на Java 6 в другом месте (подразумевая более раннюю версию), см. Например: « Невозможно выполнить установку программного обеспечения с помощью jdk1.7.0_01 (который использует 6u22 ):

Однако все работает правильно, если я затем изменяю eclipse.ini, чтобы изменить vm на JDK 1.6:

-vm C: \ Java \ jdk1.6.0_22 \ bin \ javaw.exe

Оценка Oracle завершает, что это, похоже, не ошибка JDK, а просто брандмауэр Windows, распознающий и блокирующий протокол ftp. :

Единственное различие между версиями JDK7 и более ранних версий заключается в том, что JDK использует сокеты IPv6, когда включен IPv6, и поэтому используются IPv6-адреса IPv4. Возможно, что Windows или брандмауэр не настроены на разрешение сокетов IPv6. […]

Соответственно, они перечисляют « Обходное решение» :

Запустить с -Djava.net.preferIPv4Stack = true

  • Добавьте исключение брандмауэра для двоичного кода Java.

  • Запускается с -Djava.net.preferIPv4Stack = true (что отключает IPv6 и использует только сокеты AF_INET)

  • Или отключить проверку работоспособности FTP в брандмауэре (параметр реестра или команда netsh)

Настройка межсетевого экрана, по-видимому, является подтвержденным обходным решением в соответствии с комментарием № 4 в Socket Exception только в Java 7 (хотя просто отключает его, как будто с ним следует обращаться осторожно).

Удачи!


Предположительно, вы уже знаете ответ Robamaton на Eclipse, Android Plug-in, Install New Software, просто говорит «ожидает» (есть много вопросов, связанных с ADT, и, как ни странно, он не появился сразу в соответствующем поиске)? В основном это сводится к подсказке Codejammer в отношении Preferences-> Network Connections (+1), хотя с объяснением, почему она может по-прежнему терпеть неудачу в вашей сети, независимо от того, см. Комментарии:

О, я читал, что он не отвечает на общие запросы от браузеров. В любом случае сетевой администратор подтверждает, что он устанавливает соединение с носками, но затем ничего не делает.

а также

Хорошо, в дополнение к предыдущему комментарию, вероятно, он пытается подключиться через. Носки 5 – но в нашей сети есть только носки. 4. Администратор будет запускать 5-ю версию, чтобы увидеть, работает ли она.

Временное решение

Независимо от того, действительно ли проблема с прокси-серверами socks 4 vs. socks 5, потенциальным обходным решением может быть установка Eclipse и ADT в другой системе (в идеале в другой сети) и последующая копия результирующей папки к вам (в конце концов , Установка Eclipse – это просто набор файлов).

При этом убедитесь, что для сопоставления 32-разрядных и 64-битных данных как JDK, так и Eclipse между исходным кодом и целевой системой, поскольку несоответствие даст другие проблемы (см., Например, мой ответ на Не удалось загрузить общую библиотеку JNI на Начиная с Eclipse ).

Если вам не удалось получить сетевое обновление, попробуйте загрузить пакет ZIP ADT и установить локально, как говорит страница загрузки.

http://developer.android.com/sdk/eclipse-adt.html

Я считаю, что эти сайты Google очень сложно подключиться к определенным сетям, но не от других. Здесь, в Германии, у меня были ужасные проблемы с Элисом, но никто из них не проходил через Deutsche Telekom.

Иногда я мог добраться до dl-ssl-хоста от Алисы, но в какой-то более поздней операции он зависал тогда тайм-аут. Через день или около того я смогу снова подключиться. Некоторые люди говорят, что им посчастливилось пройти через прокси, или изменив «http» на «https». Я тоже это видел.

Вот что я думаю, что происходит.

Во-первых, Eclipse ужасно глючит и очень плохо справляется с непредвиденными ситуациями (например, перехватывает все исключения, но не может предоставить сообщение об исключении !!), особенно когда речь идет о невосприимчивых ссылках. Это напоминает мне об истории психического расстройства психиатра.

Похоже, что сервер google плохо настроен, возможно, как наивный механизм защиты, предназначенный для отражения атак типа «отказ в обслуживании»: он обрабатывает только несколько запросов на соединение в течение определенного периода времени от хостов определенных сетей, и если он становится слишком большим Запросов, он блокирует соединения с хостом в течение длительного времени.

К сожалению, одно обновление Eclipse может потребовать много соединений в быстрой последовательности; Кто-то не знает, как настроить Eclipse в первый раз, скорее всего, отправится в ловушку Google.

В моем случае я смог загрузить то, что мне было нужно, тщательно подобрав подмножество доступного программного обеспечения, будучи очень терпеливым, и если бы я был заблокирован, просто ждал дня, пока он не позволил мне снова.

Ура!

У меня была такая же проблема, и это сводило меня с ума. Я продолжал пробовать пару часов – получая такое же сообщение об ошибке – и сразу это сработало! Так что, если бы я был вами, я бы просто оставил его немного и вернусь через пару часов и повторю попытку. Есть несколько других предлагаемых решений онлайн, которые я нашел, но ни один из них, похоже, не изменил ситуацию.

Раньше я сталкивался с той же проблемой. В моем случае это была проблема, с которой я работал под доверенным лицом. Я думаю, вы тоже работаете за прокси.

Я решил эту проблему следующим образом. Найдите SDKManager.exe и запустите его. В этой программе найдите конфигурацию прокси и заполните ее там. Затем из этой программы попробуйте обновить SDK (возможно, для этого вам потребуется перезапустить эту программу).

Я не знаю, почему, но конфигурация прокси Eclipse не работает в случае Android ADT.

PS Вы должны использовать JDK 6 (или 5), а не JDK 7 !!!

Используйте следующую ссылку для обновления ADT Pligins.

https://dl-ssl.google.com/android/eclipse/site.xml

Единственный ответ, который я узнал, когда у меня возникла такая проблема, – загрузить последнюю версию Eclipse Indigo для Java, обновить ADT и Android SDK. Через несколько часов все было нормально.

Отключение IPv6 сработало для меня.

В моем случае я использую настройку прокси-сервера, и я следую инструкциям этого сообщения . Но только одна небольшая модификация: настройка SOCKETS должна быть прозрачной и пустой, как предложено здесь